Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoWWWAnchor Class Reference
[Nodes]

The SoWWWAnchor class adds URL callbacks to the highlighted geometry. More...

`#include <Inventor/nodes/SoWWWAnchor.h>`

Inheritance diagram for SoWWWAnchor:

List of all members.

## Public Types
enum | Mapping { NONE, POINT }
## Public Methods
| SoWWWAnchor (void)
void | setFullURLName (const SbString &url)
const SbString & | getFullURLName (void)
virtual void | handleEvent (SoHandleEventAction *action)
## Static Public Methods
void | initClass (void)
void | setFetchURLCallBack (SoWWWAnchorCB *f, void *userData)
void | setHighlightURLCallBack (SoWWWAnchorCB *f, void *userData)
## Public Attributes
SoSFString | name
SoSFString | description
SoSFEnum | map
## Protected Methods
virtual | ~SoWWWAnchor ()
virtual void | redrawHighlighted (SoAction *act, SbBool isNowHighlighting)

## Detailed Description

The SoWWWAnchor class adds URL callbacks to the highlighted geometry.

In addition to highlighting geometry under the cursor, the application programmer can set callbacks. It is possible to set one callback for picking, the fetch callback, and one callback for highlighting.

      #Inventor V2.1 ascii

      WWWAnchor {
         name "http://www.coin3d.org/Coin/egg.iv"
         description "Easter Egg"

         Separator {
            Transform { scaleFactor 0.8 1.2 0.8 }
            Sphere { }
         }
      }

Since:
  Inventor 2.1

## Member Enumeration Documentation

enum SoWWWAnchor::Mapping

  | Enum that says how a picked node's position should be mapped to the URL. Enumeration values:
  NONE | The position of the picked node is not mapped to the URL.
  POINT | The position of the picked node is mapped to the URL as object space coordinates, adding a parameter string to the end of the URL. To assure that the URL works with all browsers, the coordinates are divided by commas sent as the hex representation. If a model by the name of sim.wrl resided at www.coin3d.org and the picked point had the coordinates [1.5, 10, 6.77], the resulting URL would be "http://www.coin3d.org/sim.wrl?1.5%2c10%2c6.77".

## Constructor & Destructor Documentation

SoWWWAnchor::SoWWWAnchor | ( | void |  | ) |

| Constructor.

SoWWWAnchor::~SoWWWAnchor | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoWWWAnchor::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoLocateHighlight.

void SoWWWAnchor::setFullURLName | ( | const SbString & | url | ) |

| Sets the full URL to url. If this is set, this URL will be used in callbacks instead of the URL set in SoWWWAnchor::name. See also: SoWWWAnchor::getFullURLName()

const SbString & SoWWWAnchor::getFullURLName | ( | void |  | ) |

| Returns the full URL if it's set by SoWWWAnchor::setFullURLName(). Otherwise the contents of SoWWWAnchor::name is returned. See also: SoWWWAnchor::setFullURLName()

void SoWWWAnchor::handleEvent | ( | SoHandleEventAction * | action | ) | `[virtual]`

| Action method for SoHandleEventAction. Inspects the event data from action, and processes it if it is something which this node should react to. Nodes influencing relevant state variables for how event handling is done also overrides this method. Reimplemented from SoLocateHighlight.

void SoWWWAnchor::setFetchURLCallBack | ( | SoWWWAnchorCB * | f,
|  | void * | userData
| ) | `[static]`

| Sets the callback function f that is called when a SoWWWAnchor node is clicked on. This callback can among other things be used to provide a browser with the URL of this node. The callback will be called with the URL, userData and a pointer to this node as arguments.

void SoWWWAnchor::setHighlightURLCallBack | ( | SoWWWAnchorCB * | f,
|  | void * | userData
| ) | `[static]`

| Sets the callback function f that is called when a SoWWWAnchor node is highlighted. This callback can among other things be used to provide the user with a visual clue on which URL the node points to, for example by showing the URL as a string. The callback will be called with the URL, userData and a pointer to this node as arguments.

void SoWWWAnchor::redrawHighlighted | ( | SoAction * | act,
|  | SbBool | isNowHighlighting
| ) | `[protected, virtual]`

| Calls the highlight callback set up with SoWWWAnchor::setHighlightURLCallBack(). Reimplemented from SoLocateHighlight.

## Member Data Documentation

SoSFString SoWWWAnchor::name

| The name of the URL which the anchor points to.

SoSFString SoWWWAnchor::description

| The description of the URL.

SoSFEnum SoWWWAnchor::map

| Enum describing how a node's position should be mapped to the URL.

The documentation for this class was generated from the following files:

- SoWWWAnchor.h
- SoWWWAnchor.cpp